import UIKit
import Flutter
import snowm_scanner
import shared_preferences

@UIApplicationMain
@objc class AppDelegate: FlutterAppDelegate {
  override func application(
    _ application: UIApplication,
    didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey: Any]?
  ) -> Bool {
    GeneratedPluginRegistrant.register(with: self)
    BackgroundBeaconScanner.shared.delegate = BackgroundScannerResponse.shared;
    return super.application(application, didFinishLaunchingWithOptions: launchOptions)
  }
}
