part of snowm_scanner;

/// Object to represent the geofencing parameter
class Geofence {
  String identifier;
  double latitude, longitude;
  int radius;
  Geofence({
    // Identifier for the geofencing, if you are sending geofencing to a background scanner, identifier is ignored
    @required this.identifier,
    // Latitude of the geofence
    @required this.latitude,
    // Longitude of the geofence
    @required this.longitude,
    // Radius of the geofence, should be in meters
    @required this.radius,
  });

  Map toMap() {
    return {
      "identifier": identifier,
      "latitude": latitude,
      "longitude": longitude,
      "radius": radius,
    };
  }
}
